TAU_PHASE(3)

NAME
TAU_PHASE - Profile a C++ function as a phase

SYNOPSIS

TAU_PHASE(char* or string& function_name, char* or string& type, TauGroup_t group);

DESCRIPTION

TAU_PHASE profiles a function as a phase. This macro defines the function and takes care of the timer start and stop as well. The timer will stop when the macro goes out of scope (as in C++ destruction).

EXAMPLE

int foo(char *str) {
  TAU_PHASE(foo","int (char *)",TAU_DEFAULT);
  ...
}

SEE ALSO

TAU_PHASE_CREATE_DYNAMIC(3), TAU_PHASE_CREATE_STATIC(3)